Bug 475475 - Meld requires gnome-python2-bonobo dependency
Meld requires gnome-python2-bonobo dependency
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: meld (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-09 07:45 EST by Nicolas Troncoso Carrere
Modified: 2010-06-28 15:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:55:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Troncoso Carrere 2008-12-09 07:45:50 EST
Description of problem:
ImportError: could not import bonobo.ui                                  
Traceback (most recent call last):                                       
  File "/usr/share/meld/meldapp.py", line 90, in on_response             
    paths = [ e.get_full_path(0) or "" for e in self.entrylists[page] ]  
AttributeError: '__main__.GnomeFileEntry' object has no attribute 'get_full_path'


Version-Release number of selected component (if applicable):
meld-1.2-2.fc10.noarch

How reproducible:
Alway if gnome-python2-bonobo is not installed

Steps to Reproduce:
1. remove meld
2. remove gnome-python2-bonobo
3. install meld
4. start meld
  
Actual results:
ImportError: could not import bonobo.ui                                  
Traceback (most recent call last):                                       
  File "/usr/share/meld/meldapp.py", line 90, in on_response             
    paths = [ e.get_full_path(0) or "" for e in self.entrylists[page] ]  
AttributeError: '__main__.GnomeFileEntry' object has no attribute 'get_full_path'

Expected results:
No errors.

Additional info:
Adding gnome-python2-bonobo as a dependencie for meld solves the problem
Comment 1 Brian Pepple 2008-12-09 14:57:25 EST
Do you not have gnome-applets installed?  gnome-python2-bonobo should be installed by default with the gnome desktop.
Comment 2 Nicolas Troncoso Carrere 2008-12-09 15:36:54 EST
No.
I installed KDE and kept gnome application to a minimum.
Comment 3 Pavel Alexeev 2009-07-04 11:13:07 EDT
On Fedora 11 it also reproducable:
# meld system-auth system-auth.rpmnew
ImportError: could not import bonobo.ui
Traceback (most recent call last):
  File "/usr/bin/meld", line 90, in <module>
    meldapp.main()
  File "/usr/share/meld/meldapp.py", line 968, in main
    tab = app.append_diff(args, options.auto_compare)
  File "/usr/share/meld/meldapp.py", line 855, in append_diff
    return self.append_filediff(paths)
  File "/usr/share/meld/meldapp.py", line 842, in append_filediff
    doc.set_files(files)
  File "/usr/share/meld/filediff.py", line 565, in set_files
    self.fileentry[i].set_filename(absfile)
AttributeError: '__main__.GnomeFileEntry' object has no attribute 'set_filename'
Comment 4 Sven 2010-03-01 06:42:51 EST
A newer version of meld no longer has this problem for me.

rpm -q meld:
meld-1.3.0-1.fc11.noarch

rpm -qa | grep bonobo:
libbonobo-2.24.1-1.fc11.x86_64
libbonoboui-2.24.1-1.fc11.x86_64
Comment 5 Pavel Alexeev 2010-03-02 05:04:32 EST
Sven, I do not understand what you show. Does libbonobo and libbonoboui required by meld or installed separately (as dependency of something else)?
Comment 6 Sven 2010-03-02 05:32:06 EST
libbonobo* are there because of other packages, not meld. My point was that gnome-python2-bonobo isn't installed, and meld seems to work fine.
Comment 7 Pavel Alexeev 2010-03-02 08:50:58 EST
Is it really works? You previosele manipulate only with rpm.

Do:
$ meld ; echo $?

Brian Pepple, what you can say about it? gnome-python2-bonobo do not required for meld any more? If so, I think bug may be closed now.
Comment 8 Sven 2010-03-02 10:37:22 EST
Yes, meld runs fine, just as normal. Return value 0.
Comment 9 Pavel Alexeev 2010-03-06 13:50:20 EST
If so, I think bug may be closed now.
Comment 10 Bug Zapper 2010-04-27 08:29:42 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-06-28 06:55:22 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.